> For the complete documentation index, see [llms.txt](https://docs.mav.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-common-contracts/interfaces/imaverickv2pooladmin.md).

# IMaverickV2PoolAdmin

### Functions <a href="#functions" id="functions"></a>

#### adminAction <a href="#adminaction" id="adminaction"></a>

Perform pool admin action; this function can only be called by the pool factory contract. When called by other callers, this function will revert.

```solidity
function adminAction(AdminAction action, uint256 value) external;
```

**Parameters**

| Name     | Type          | Description                                                                             |
| -------- | ------------- | --------------------------------------------------------------------------------------- |
| `action` | `AdminAction` | Selector of admin action from AdminAction enum.                                         |
| `value`  | `uint256`     | Applicable for "setting" admin actions and is the new value of the parameter being set. |

### Events <a href="#events" id="events"></a>

#### PoolProtocolFeeCollected <a href="#poolprotocolfeecollected" id="poolprotocolfeecollected"></a>

```solidity
event PoolProtocolFeeCollected(uint256 feeCollected, bool isTokenA);
```

#### PoolSetProtocolFeeRatio <a href="#poolsetprotocolfeeratio" id="poolsetprotocolfeeratio"></a>

```solidity
event PoolSetProtocolFeeRatio(uint256 protocolFeeRatioD3);
```

#### PoolSetLendingFeeRate <a href="#poolsetlendingfeerate" id="poolsetlendingfeerate"></a>

```solidity
event PoolSetLendingFeeRate(uint256 lendingFeeRateD18);
```

### Enums <a href="#enums" id="enums"></a>

#### AdminAction <a href="#adminaction-1" id="adminaction-1"></a>

```solidity
enum AdminAction {
    setProtocolFeeRatioD3,
    claimProtocolFeesA,
    claimProtocolFeesB,
    setLendingFeeRateD18
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-common-contracts/interfaces/imaverickv2pooladmin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
